## gate.corpora
Interface EventAwareDocument

All Superinterfaces:
  EventAwareLanguageResource

All Known Implementing Classes:
  DatabaseDocumentImpl

public interface EventAwareDocument
extends EventAwareLanguageResource

Fields inherited from interface gate.corpora.EventAwareLanguageResource
`DOC_CONTENT, DOC_MAIN, RES_FEATURES, RES_NAME`

Method Summary
`Collection` `getAddedAnnotationSets()`
`Collection` `getLoadedAnnotationSets()`
`Collection` `getRemovedAnnotationSets()`

Methods inherited from interface gate.corpora.EventAwareLanguageResource
`isResourceChanged`

Method Detail

### getLoadedAnnotationSets

    public Collection getLoadedAnnotationSets()

### getRemovedAnnotationSets

    public Collection getRemovedAnnotationSets()

### getAddedAnnotationSets

    public Collection getAddedAnnotationSets()